import optparse
import ConfigParser
import os.path


class Configuration(object):

    def __init__(self):
        self.optparser = optparse.OptionParser()
        self.optparser.add_option('-c', '--config', default='~/.gocept-support.cfg')
        self.config = ConfigParser.ConfigParser()

    def __call__(self):
        self.options, self.args = self.optparser.parse_args()
        self.config.read([os.path.expanduser(self.options.config)])

    def __getattr__(self, name):
        return getattr(self.config, name)

config = Configuration()
